"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateRouterHelper = generateRouterHelper;

var _utils = require("./utils");

const fileNames = ['index.ts', 'helper.tsx', 'copy-react-router-api.ts', 'types.ts', 'Link.tsx'];

async function generateRouterHelper(api) {
  return Promise.all(fileNames.map(fileName => api.generateFile.writeFile({
    path: (0, _utils.resolveGenerateRouterPath)(fileName),
    content: api.generateFile.renderTpl(api.generateFile.readTplFile(__dirname, `/tpl/${fileName}.tpl`), {})
  })));
}