import { Options as ReactOptions } from '@vitejs/plugin-react';
import type { VitePluginOptions } from 'vite-plugin-style-import';
import type { ViteCertificateOptions } from 'vite-plugin-mkcert';
import type { PluginOption } from 'vite';
declare type Options = {
    styleImport?: VitePluginOptions;
    react?: ReactOptions;
    mkcert?: ViteCertificateOptions;
};
export declare const reactAutoConfig: (options?: Options) => Promise<(PluginOption | PluginOption[])[]>;
export {};
